# $Revision: 1.24 $, $Date: 2006/09/09 15:58:00 $
#
# Conditional build
%bcond_with	smode	# build with /smode command support
%bcond_with	crypt	# build with crypted passwords support
#
Summary:	Internet Relay Chat Server
Summary(pl):	Serwer IRC (Internet Relay Chat)
Name:		bircd
Version:	2.1.0rc1
Release:	3
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.benet.uu3.net/pub/irc/%{name}-%{version}.tgz
# Source0-md5:	5e7b6b4ff8f3ed541d032c96eeee8de1
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.motd
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-smode.patch
Patch3:		%{name}-crypt.patch
Patch4:		%{name}-%{version}-p1.patch
URL:		http://www.benet.uu3.net/~borg/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(ircd)
Provides:	user(ircd)
Obsoletes:	ircd
Obsoletes:	ircd-hybrid
Obsoletes:	ircd-ptlink
Obsoletes:	ircd6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ircd
%define		_localstatedir	/var/lib/ircd

%description
bIRCd is a small, simple and very fast IRC server. It is easy to
configure and use. It also has support for IPv6.

%description -l pl
bIRCd jest maym, prostym i bardzo szybkim serwerem IRC. Jest bardzo
prosty w konfiguracji i uytkowaniu. Posiada rwnie wsparcie dla
IPv6.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%{?with_smode:%patch2 -p1}
%{?with_crypt:%patch3 -p1}
%patch4 -p1

%build
./Config
%{__make} \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_var}/log/{,archiv/}ircd,%{_sbindir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig,logrotate.d}} \
	$RPM_BUILD_ROOT%{_localstatedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ircd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/ircd
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/ircd.motd

touch $RPM_BUILD_ROOT%{_localstatedir}/ircd.pid

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -f -g 75 ircd
%useradd -g ircd -d /etc/ircd -u 75 -s /bin/true -c "IRC Service account" ircd

%post
/sbin/chkconfig --add ircd
%service ircd restart "IRC daemon"
touch /var/log/ircd/{opers.log,rejects.log,users.log}
chmod 640 /var/log/ircd/*
chown ircd:ircd /var/log/ircd/*

%preun
if [ "$1" = "0" ]; then
	%service ircd stop
	/sbin/chkconfig --del ircd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove ircd
	%groupremove ircd
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%doc doc/{Advertisement,Authors,Etiquette,Manual,Operators,README.patches}
%doc doc/{conf.doc,example.conf,tao.of.irc,whatsnew}
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,ircd) %dir %{_var}/log/ircd
%attr(770,root,ircd) %dir %{_var}/log/archiv/ircd
%attr(770,root,ircd) %dir %{_localstatedir}
%attr(640,ircd,ircd) %ghost %{_localstatedir}/ircd.pid
%attr(750,root,ircd) %dir %{_sysconfdir}
%attr(660,root,ircd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ircd.conf
%attr(660,root,ircd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ircd.motd
%attr(754,root,root) /etc/rc.d/init.d/ircd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ircd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ircd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bircd.spec,v $
Revision 1.24  2006/09/09 15:58:00  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.23  2006/04/15 12:56:54  glen
- rel 2

Revision 1.22  2006/03/23 16:28:14  hawk
- updated to 2.1.0rc1 + p1 patch (fixes SEGV)

Revision 1.21  2006/02/24 15:20:04  glen
- use %service

Revision 1.20  2005/07/28 13:07:15  hawk
- updated to 2.0.3rc13

Revision 1.19  2005/06/11 21:11:26  hawk
- updated to 2.0.3rc12
- removed fix patch (already in sources)

Revision 1.18  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.17  2005/04/14 12:40:46  hawk
- updated to 2.0.3rc11

Revision 1.16  2005/03/09 12:04:16  hawk
- updated to 2.0.3rc10

Revision 1.15  2004/12/26 12:46:14  hawk
- verify() tags for config files

Revision 1.14  2004/12/25 18:09:58  hawk
- updated to 2.0.3rc8, updated URL, Source0 points to official site again
- overwriting ircd.motd during upgrade is bad idea, it is now Source4
  packaged with %config(noreplace)

Revision 1.13  2004/11/14 23:12:38  hawk
- cosmetics

Revision 1.12  2004/11/05 10:49:23  paladine
- spaces->tabs
- cosmetics

Revision 1.11  2004/09/19 21:01:03  hawk
- updated to 2.0.3rc7, main site is temporarily down, used mirror

Revision 1.10  2004/09/12 20:49:45  domelu
- added bcond for crypted operators passwords in config file

Revision 1.9  2004/09/09 20:42:09  hawk
- added bcond for enabling server mode command in bircd

Revision 1.8  2004/08/25 04:45:33  ankry
- rel. 2

Revision 1.7  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.6  2004/08/08 15:54:30  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.5  2004/08/04 09:23:01  hawk
- builds, works -> release 1

Revision 1.4  2004/08/02 21:54:47  qboosh
- cosmetics

Revision 1.3  2004/08/02 21:15:43  hawk
- obsoletes other IRC servers (not conflicts)

Revision 1.2  2004/08/02 20:52:24  hawk
- fix for amd64

Revision 1.1  2004/08/02 18:09:49  hawk
- new spec, bIRCd IRC server
